Subject: Re: [RFC PATCH 2/2] KVM: PPC: Don't take lock when check irq's resend flag

From: Paul Mackerras <[email-masked]>
Date: Mon, 20 Jun 2016 15:27:17 +1000

On Mon, May 16, 2016 at 03:02:13PM +0800, Li Zhong wrote:
> It seems that we don't need to take the lock before evaluating irq's
> resend flag. What needed is to make sure when we clear the ics's bit
> in the icp's resend_map, we don't miss the resend flag of the irqs
> that set the bit.
> 
> And seems this could be ordered through the barrier in test_and_clear_bit(),
> and an newly added wmb when setting irq's resend flag, and icp's resend_map.

This looks fine to me.  Is there a measurable performance improvement
from this?  I understand it could be hard to measure.

Also, you could make the patch description more definite - just say
that we don't need to take the lock, there's no need for "seems".

Paul.